Name:           drwright
Version:        3.5.0
Release:        2%{?dist}
Summary:        Typing monitor to force typing breaks

License:        GPLv2+
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/%{name}/3.5/%{name}-%{version}.tar.xz
# Build fix with new gnome-settings-daemon, backported from upstream
# commit 6fb8014c
Patch0:         drwright-3.2.5-gsd37.patch

BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  gtk3-devel >= 3.0.0
BuildRequires:  control-center-devel >= 2.91.6
BuildRequires:  gnome-settings-daemon-devel >= 3.7.3
BuildRequires:  libnotify-devel >= 0.7
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libSM-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool

%description
%{summary}.

%prep
%setup -q
%patch0 -p1 -b .gsd_register

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications --delete-original $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-typing-break-panel.desktop

rm $RPM_BUILD_ROOT/%{_libdir}/control-center-1/panels/libdrwrightccp.la
rm $RPM_BUILD_ROOT/%{_libdir}/gnome-settings-daemon-3.0/libtyping-break.la

%find_lang %{name} --with-gnome

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS
%{_libexecdir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/gnome-typing-break-panel.desktop
%{_datadir}/icons/hicolor/*/apps/typing-monitor.png
%{_datadir}/icons/hicolor/*/apps/typing-monitor.svg
%{_libdir}/control-center-1/panels/libdrwrightccp.so
%{_libdir}/gnome-settings-daemon-3.0/libtyping-break.so
%{_libdir}/gnome-settings-daemon-3.0/typing-break.gnome-settings-plugin

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul  9 2014 Peter Robinson <pbrobinson@fedoraproject.org> 
- Merge newer F-18 into rawhide

* Wed Jul  9 2014 Kalev Lember <kalevlember@gmail.com> - 3.5.0-1
- Update to 3.5.0
- Fix the build with new gnome-settings-daemon

* Tue Jun 17 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 3.2.5-6
- Fix FTBFS with gnome-settings-daemon >= 3.7.3 (#913945, #992154, #1106182)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 27 2012 Kalev Lember <kalevlember@gmail.com> - 3.2.5-1
- Update to 3.2.5

* Tue Feb  7 2012 Matthias Clasen <mclasen@redhat.com> - 3.2.4-1
- Update to 3.2.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Matthias Clasen <mclasen@redhat.com> - 3.2.3-1
- Update to 3.2.3

* Tue Nov 22 2011 Tomas Bzatek <tbzatek@redhat.com> - 3.2.2-1
- Update to 3.2.2

* Mon Nov  7 2011 Matthias Clasen <mclasen@redhat.com> - 3.2.1-2
- Rebuild for new libpng

* Wed Oct 19 2011 Matthias Clasen <mclasen@redhat.com> - 3.2.1-1
- Update to 3.2.1

* Mon May 23 2011 Christopher Aillon <caillon@redhat.com> - 3.0.2-1
- Update to 3.0.2

* Sat May 07 2011 Christopher Aillon <caillon@redhat.com> - 3.0.1-2
- Update gsettings scriptlet

* Mon Apr 25 2011 Matthias Clasen <mclasen@redhat.com> - 3.0.1-1
- Update to 3.0.1

* Sun Apr  3 2011 Christopher Aillon <caillon@redhat.com> - 3.0.0-1
- Update to 3.0.0

* Mon Mar  7 2011 Christopher Aillon <caillon@redhat.com> - 2.91.91-1
- Initial packagbe
